%define upstream_name	 Kwiki-NewPage
%define upstream_version 0.12

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:	Kwiki New Page Plugin
License:	GPL
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Kwiki/%{upstream_name}-%{upstream_version}.tar.bz2


BuildRequires:	perl(Kwiki)
BuildArch:	noarch


%description
Adds a navigation link/button to create a new page without first adding a link
to that page.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%{__make} test

%install
%makeinstall_std

%files
%doc Changes README
%{perl_vendorlib}/Kwiki
%{_mandir}/*/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.120.0-9pclos2017
- rebuild against updates

